package com.lele.leleping;

import android.content.Context;
import android.util.Log;

import io.flutter.plugin.common.MethodCall;
import io.flutter.plugin.common.MethodChannel;
import io.flutter.plugin.common.MethodChannel.MethodCallHandler;
import io.flutter.plugin.common.MethodChannel.Result;
import io.flutter.plugin.common.PluginRegistry.Registrar;
import netease.LDNetDiagnoService.LDNetDiagnoListener;
import netease.LDNetDiagnoService.LDNetDiagnoService;

/** LelepingPlugin */
public class LelepingPlugin implements MethodCallHandler {

  public Context mContext;
  public LelepingPlugin(Context context){
    this.mContext=context;

  }


  volatile boolean isRunning = false;

  LDNetDiagnoService _netDiagnoService;
  String  showInfo = "";
  LDNetDiagnoListener theListener = new LDNetDiagnoListener() {
    @Override
    public void OnNetDiagnoFinished(String log) {
      _netDiagnoService.stopNetDialogsis();
      _netDiagnoService = null;
      isRunning = false;
    }

    @Override
    public void OnNetDiagnoUpdated(String log) {
      showInfo += log;
      Log.d("ping出来的信息","showInfo");
    }
  };


  /** Plugin registration. */
  public static void registerWith(Registrar registrar,Context context) {
    final MethodChannel channel = new MethodChannel(registrar.messenger(), "leleping");
    channel.setMethodCallHandler(new LelepingPlugin(context));
  }

  @Override
  public void onMethodCall(MethodCall call, Result result) {
    if (call.method.equals("getPingInfo")) {





      if (!isRunning) {
        String domainName = "https://www.baidu.com/";
        _netDiagnoService = new LDNetDiagnoService(mContext,
                "testDemo", "网络诊断应用", "1.0.0", "huipang@corp.netease.com",
                "deviceID(option)", domainName, "carriname", "ISOCountyCode",
                "MobilCountryCode", "MobileNetCode", theListener);

        //设置是否使用JNIC 完成traceroute
        _netDiagnoService.setIfUseJNICTrace(true);
        //_netDiagnoService.setIfUseJNICConn(true);
        _netDiagnoService.execute();
      } else {
        _netDiagnoService.cancel(true);
        _netDiagnoService = null;
      }
      isRunning = !isRunning;







      result.success("Android " + showInfo);
    } else {
      result.notImplemented();
    }
  }
}
