#import "LelepingPlugin.h"
#import "LDNetDiagnoService.h"

@interface LelepingPlugin()<LDNetDiagnoServiceDelegate> {
    LDNetDiagnoService *_netDiagnoService;
    BOOL _isRunning;
    NSString *_showInfo;
}

@end

@implementation LelepingPlugin

- (instancetype)init
{
    self = [super init];
    if (self) {
        _netDiagnoService = [[LDNetDiagnoService alloc] initWithAppCode:@"test"
                                                                appName:@"网络诊断应用"
                                                             appVersion:@"1.0.0"
                                                                 userID:@"huipang@corp.netease.com"
                                                               deviceID:nil
                                                                dormain:@"www.baidu.com"
                                                            carrierName:nil
                                                         ISOCountryCode:nil
                                                      MobileCountryCode:nil
                                                          MobileNetCode:nil];
        _netDiagnoService.delegate = self;
        _showInfo = @"";
        NSLog(@"德玛西亚");
        
    }
    return self;
}

+ (void)registerWithRegistrar:(NSObject<FlutterPluginRegistrar>*)registrar {
  FlutterMethodChannel* channel = [FlutterMethodChannel
      methodChannelWithName:@"leleping"
            binaryMessenger:[registrar messenger]];
  LelepingPlugin* instance = [[LelepingPlugin alloc] init];
  [registrar addMethodCallDelegate:instance channel:channel];
}

- (void)handleMethodCall:(FlutterMethodCall*)call result:(FlutterResult)result {
  if ([@"getPingInfo" isEqualToString:call.method]) {
       [self startNetDiagnosis];
      
    result(_showInfo);
  } else {
    result(FlutterMethodNotImplemented);
  }

}

- (void)startNetDiagnosis
{
    
    
    if (!_isRunning) {
        
        _isRunning = !_isRunning;
        [_netDiagnoService startNetDiagnosis];
    } else {
        
        _isRunning = !_isRunning;
        
        [_netDiagnoService stopNetDialogsis];
    }
    
    if ([_showInfo isEqualToString:@""]){
        
    }
}


#pragma mark NetDiagnosisDelegate
- (void)netDiagnosisDidStarted
{
    NSLog(@"开始诊断～～～");
}

- (void)netDiagnosisStepInfo:(NSString *)stepInfo
{
    NSLog(@"%@", stepInfo);
    
}


- (void)netDiagnosisDidEnd:(NSString *)allLogInfo;
{
    NSLog(@"logInfo>>>>>\n%@", allLogInfo);
    //可以保存到文件，也可以通过邮件发送回来
    _isRunning = NO;
    _showInfo = allLogInfo;
    //    FlutterMethodCall *method = [FlutterMethodCall methodCallWithMethodName:@"getPlatformVersion" arguments:nil];
    //    [self handleMethodCall:method result:nil];
}

@end
